
.view-display-id-home_upcoming_events {
  & .views-row {
    &:not(:last-child) {
      border-bottom: 1px solid var(--border-secondary);
    }
  }  
}
.view-display-id-upcoming_events_all_programs {
  & .views-row {
    border-top: 1px solid var(--border-secondary);
  }
}
.view-display-id-upcoming_events_specific_program {
  & .views-row {
    border-top: 1px solid var(--theme-color);
  }
}

.view-display-id-home_upcoming_events {
  padding-bottom: 40px;
  padding-left: 16px;
  padding-right: 16px;
}

.node--type-event.node--view-mode-home-display {
  & .event-header {
    display: flex;
    flex-wrap: wrap;
    gap: 8px 16px;

    @container (min-width: 640px) {
      justify-content: space-between;
    }
  }

  & .field--name-field-description {
    margin-top: 8px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }
}

.node--type-event.node--view-mode-program-display,
.node--type-event.node--view-mode-program-specific-event-display {
  display: flex;
  flex-direction: column;
  gap: 32px;

  & > a {
    margin: 20px 0;
  }

  @container (min-width: 640px) {
    flex-direction: row;
    align-items: center;

    & .event-main {
      flex: 1 1 auto;
    }

    & > a {
      flex: 0 0 120px;
    }
  }

  & .event-title {
    display: flex;
    flex-wrap: wrap;
    gap: 8px 16px;
  }

  & .event-header {
    display: flex;
    flex-direction: column;
    gap: 4px;
  }

  & .event-metadata {
    display: inline-flex;

    & > *:not(:last-child)::after {
      content: "·";
      padding: 0 4px;
    }
  }

  & .field--name-field-description {
    margin-top: 16px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }
}
